# VueResizeSensor

A `VueResizeSensor` component is a container that supports resize event. It contains an absolute positioned `<iframe>` element. An inline frame supports the resize event natively. Every time the container resizes, it triggers the resize event of the contained inline frame and the event handler of the inline frame triggers the resize event of the container.

## dependencies

- [Vue](https://github.com/vuejs/vue)

## setup

Install the [package](https://www.npmjs.com/package/vueresizesensor) via npm.

```sh

npm install vueresizesensor

```

---

Include the code in your page via a CDN.

```html

<script src="https://unpkg.com/vue"></script>
<script src="https://unpkg.com/vueresizesensor"></script>

```

## usage

```html

<vue-resize-sensor @resize="onResize" id="app">
  <div style="display: flex;" :style="{'flex-direction': width > height ? 'row' : 'column'}">
    <div><!--...--></div>
    <div><!--...--></div>
  </div>
  <div v-show="width > 640">...</div>
<vue-resize-sensor>

```

```javascript

new Vue({
  el: '#app',
  data: {width: 0, height: 0},
  methods: {
    onResize({width, height}) {
      this.width = width;
      this.height = height;
    },
  },
});

```

---

By default it renders a `<div>` element. You can change the element that is rendered with the tag attribute.

```html

<vue-resize-sensor tag="form">...<vue-resize-sensor>

```
